Skip to content

Opiniones del cumplimiento de obligaciones fiscales del RFC ​

Estos servicios permiten obtener el historico de Opiniones del cumplimiento de obligaciones fiscales obtenidas por nuestros servicios de un RFC en particular

Obtener todas las Opiniones del cumplimiento de obligaciones fiscales del RFC ​

/api/v1/SAT/rfcs/{rfc}/ocofs ​

Este servicio permite obtener todas las Opiniones del cumplimiento de obligaciones fiscales del RFC

URL ​

bash
    GET /api/v1/SAT/rfcs/{rfc}/ocofs

Headers ​

Authorization: Bearer {token}

Accept: application/json

URL Params ​

InputTypeRequiredValues acceptableDefault
pageintegerfalse

Data Params ​

txt
    None

Respuestas Posibles ​

Success

Code: 200 Success

Content:

json
{
  "data": [
    {
      "id": 2,
      "rfc_id": 1,
      "file_path": "RFC/OCOFs/RFC-30-05-2024-18-40-44.pdf",
      "status": 0,
      "created_at": "2024-05-31T00:40:45.000000Z",
      "updated_at": "2024-05-31T02:04:49.000000Z"
    },
    {
      "id": 3,
      "rfc_id": 1,
      "file_path": "RFC/OCOFs/RFC-30-05-2024-20-04-49.pdf",
      "status": 0,
      "created_at": "2024-05-31T02:04:50.000000Z",
      "updated_at": "2024-05-31T13:50:57.000000Z"
    },
    {
      "id": 4,
      "rfc_id": 1,
      "file_path": "RFC/OCOFs/RFC-31-05-2024-07-50-57.pdf",
      "status": 0,
      "created_at": "2024-05-31T13:50:58.000000Z",
      "updated_at": "2024-08-02T04:01:39.000000Z"
    },
    {
      "id": 10,
      "rfc_id": 1,
      "file_path": "RFC/OCOFs/RFC-01-08-2024-22-01-39.pdf",
      "status": 1,
      "created_at": "2024-08-02T04:01:40.000000Z",
      "updated_at": "2024-08-02T04:01:40.000000Z"
    }
  ],
  "links": {
    "first": "https://bridge.paladins.mx/api/v1/SAT/rfcs/RFC/ocofs?page=1",
    "last": "https://bridge.paladins.mx/api/v1/SAT/rfcs/RFC/ocofs?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "links": [
      {
        "url": null,
        "label": "« Previous",
        "active": false
      },
      {
        "url": "https://bridge.paladins.mx/api/v1/SAT/rfcs/RFC/ocofs?page=1",
        "label": "1",
        "active": true
      },
      {
        "url": null,
        "label": "Next »",
        "active": false
      }
    ],
    "path": "https://bridge.paladins.mx/api/v1/SAT/rfcs/RFC/ocofs",
    "per_page": 15,
    "to": 4,
    "total": 4
  }
}

Unauthorized

Code: 401 Unauthorized

Content:

json
{
  "message": "Unauthenticated."
}
Ejemplo con curl
bash
curl --location --request GET 'https://bridge.paladins.mx/api/v1/SAT/rfcs/{rfc}/ocofs' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer 3|jIoi6R40Kic8IkKtT7XQu4nUM78BqwqxTsPKtQGi67f00c2a'

Ver opinión de cumplimiento de obligaciones fiscales ​

/api/v1/SAT/rfcs/{rfc}/ocofs/{id} ​

Este servicio permite obtener los detalles de una opinión de cumplimiento de obligaciones fiscales almacenada

URL ​

bash
    GET /api/v1/SAT/rfcs/{rfc}/ocofs/{id}

Headers ​

Authorization: Bearer {token}

Accept: application/json

URL Params ​

InputTypeRequiredValues acceptableDefault
rfcstringtrue
idnumbertrue

Data Params ​

txt
    None

Respuestas Posibles ​

Success

Code: 200 Success

Content:

json
{
  "data": {
    "id": 2,
    "rfc_id": 1,
    "file_path": "RFC/OCOFs/RFC-30-05-2024-18-40-44.pdf",
    "status": 0,
    "created_at": "2024-05-31T00:40:45.000000Z",
    "updated_at": "2024-05-31T02:04:49.000000Z"
  }
}

Not Found

Code: 404 Not Found

Content:

json
{
  "message": "Record not found"
}

Unauthorized

Code: 401 Unauthorized

Content:

json
{
  "message": "Unauthenticated."
}
Ejemplo con curl
bash
curl --location --request GET 'https://bridge.paladins.mx/api/v1/SAT/rfcs/{rfc}/ocofs/9' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer 3|jIoi6R40Kic8IkKtT7XQu4nUM78BqwqxTsPKtQGi67f00c2a'

Eliminar opinion del cumplimiento de obligaciones fiscales ​

/api/v1/SAT/rfcs/{rfc}/ocofs/{id} ​

Este servicio permite eliminar los detalles de una opinión del cumplimiento de obligaciones fiscales almacenada

URL ​

bash
    DELETE /api/v1/SAT/rfcs/{rfc}/ocofs/{id}

Headers ​

Authorization: Bearer {token}

Accept: application/json

URL Params ​

InputTypeRequiredValues acceptableDefault
rfcstringtrue
idnumbertrue

Data Params ​

txt
    None

Respuestas Posibles ​

Success

Code: 204 No Content

Content:

json

Not Found

Code: 404 Not Found

Content:

json
{
  "message": "Record not found"
}

Unauthorized

Code: 401 Unauthorized

Content:

json
{
  "message": "Unauthenticated."
}
Ejemplo con curl
bash
curl --location --request DELETE 'https://bridge.paladins.mx/api/v1/SAT/rfcs/{rfc}/ocofs/9' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer 3|jIoi6R40Kic8IkKtT7XQu4nUM78BqwqxTsPKtQGi67f00c2a'